/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.akn\:preface {
  .akn\:longTitle > .akn\:p {
    overflow: hidden;
  }
  .akn\:longTitle {
    text-align: center;
    padding-top: 48px;
    .akn\:docStage {
      &:extend(.Dokumentenstatus);
      padding-right: 0.2em;
      display: inline-flex;
      + .akn\:span {
        display: inline-flex;
        padding-bottom: 38px;
        &:extend(.Dokumentenstatus);
      }
    }

    .akn\:docProponent {
      &:extend(.Dokumentenstatus);
      padding-right: 0.2em;
      display: block;
    }

    .akn\:docTitle {
      &:extend(.Bezeichnung-Stammdokument);
      padding-top: 40px;
    }

    .lea\:textWrapper:has(+ .akn\:shortTitle) {
      &:extend(.Kurzbezeichnung-Abkuerzung-Stammdokument);
      display: inline-flex;
      padding-top: 40px;
    }

    .akn\:shortTitle {
      &:extend(.Kurzbezeichnung-Abkuerzung-Stammdokument);
      display: inline-flex;
      ~ .lea\:textWrapper {
        &:extend(.Kurzbezeichnung-Abkuerzung-Stammdokument);
        display: inline-flex;
      }
    }

    .akn\:inline {
      &:extend(.Kurzbezeichnung-Abkuerzung-Stammdokument);
      display: inline-flex;
    }
  }

  .akn\:tblock {
    padding-top: 48px;
    & > .akn\:num {
      display: inline-block;
      padding-right: 12px;
      & > .akn\:marker {
        height: 0;
      }
    }
    & > .akn\:heading {
      display: inline-block;
      padding-bottom: 16px;
    }
    & .akn\:tblock > .akn\:heading {
      font-weight: 400;
    }
  }

  .akn\:location > *,
  .akn\:role > *,
  .akn\:date > *,
  .akn\:person > * {
    display: inline;
  }
}

.akn\:mainBody {
  padding-top: 48px;

  .akn\:p > *,
  .akn\:organization > *,
  .akn\:docTitle > * {
    display: inline;
  }
}

.akn\:authorialNote {
  vertical-align: super;
  top: 0.5rem;
  font-size: 60%;
  user-select: none;
  line-height: 0;
  cursor: pointer;
  text-decoration: none;
}
